Hashtbl.S(3)

NAME
Hashtbl.S - The output signature of the functor Hashtbl.Make.

Module type
Module type Hashtbl.S

Documentation

Module type S
 = sig end

The output signature of the functor Hashtbl.Make .

type key

type 'a t

val create : int -> 'a t

val clear : 'a t -> unit

val reset : 'a t -> unit

val copy : 'a t -> 'a t

val add : 'a t -> key -> 'a -> unit

val remove : 'a t -> key -> unit

val find : 'a t -> key -> 'a

val find_all : 'a t -> key -> 'a list

val replace : 'a t -> key -> 'a -> unit

val mem : 'a t -> key -> bool

val iter : (key -> 'a -> unit) -> 'a t -> unit

val filter_map_inplace : (key -> 'a -> 'a option) -> 'a t -> unit

val fold : (key -> 'a -> 'b -> 'b) -> 'a t -> 'b -> 'b

val length : 'a t -> int

val stats : 'a t -> Hashtbl.statistics